RFC 433
Socket number list
RFC 433: Socket Number List β¨
okay bestie, let's start with the vibes check π. This is RFC 433, a Socket Numbers doc from the Network Working Group, written by Jon Postel (UCLA-NMC) and Nancy Neigus (BBN). It's NIC 13491, dated 22 December 1972, and its header lists References: 349. There's no obsoletes or updates line in the header, so nothing gets replaced or patched here π§
The Big Idea π
so the czar of socket numbers, Jon Postel π, has set up assignments for socket numbers used for public functions. quick tea β: a socket number is a 40 bit quantity. the first 8 bits are the host specification, the next 24 bits are site specific, and the last 8 bits are user specified. those last 8 bits are called the AEN, which the doc says stands for, cleverly enough, Another Eightbit Number π iconic naming, no notes.
For the assignments in this doc, the host field covers all hosts (unless it says otherwise), the 24 bit field is zero, and the AEN is listed right here π¦
General Assignments πΈ
the ranges go like this:
Sockets Assignment
0 - 63 Network Wide Standard Functions
64 - 127 Host Specific Functions
128 - 239 Reserved for Future Use
240 - 255 Any Experimental Function
Particular Assignments π
these are the specific sockets with their functions. the list is giving very organized energy:
Socket Assignment
1 Telnet
3 File Transfer
5 Remote Job Entry
7 Echo
9 Discard
19 Character Generator [e.g. TTYTST]
65 Speech Data Base @ ll-tx-2 (74)
67 Datacomputer @ cca (31)
241 NCP Measurement
243 Survey Measurement
245 LINK
the specs for these functions live in the docs below. the references are the main character here π§
Telnet RFC 318
File Transfer RFC 354 & RFC 385
Remote Job Entry RFC 407
Echo RFC 347
Discard RFC 348
Character Generator RFC 429
Speech Data Base SUR 37
Datacomputer [Murray @ CCA]
NCP Measurment RFC 388
Survey Data [Kampe @ NMC]
LINK [Bressler @ BBN]
Conflicts Are Not It π ββοΈ
it has come to our attention that some hosts are running useful public services on sockets that clash with the scheme above. we're hoping to fix this with minimal disruption π₯Ί not the vibe, but we're handling it.
The Host Tabulation π
this part is a tabulation of socket numbers and the services they offer. it's presented as a helper for network users. if you spot a socket or function that's missing, or an entry that needs fixing or deleting, reach out to either of these legends π«Ά
Jon Postel
3804 Boelter Hall
Computer Science Department
University of California
Los Angeles, CA. 90024
Phone: (213) 825-2368
NIC Ident = JBP
or
Nancy Neigus
Bolt Beranek and Newman
50 Moulton Street
Cambridge, Mass. 02139
Phone: (617) 661-0100
NIC Ident = NJN
they're also happy to list socket/function info for things that aren't "offical" sockets, like Tip News π
here's the full host list, the hosts and their sockets, all in one place π :
1 UCLA-NMC
1 Telnet
241 NCP Measurement
243 Survey Data
2 SRI-ARC
1 Telnet
3 File Transfer
5 Echo
7 CPYNET
9 SYSTAT
13 DATE-TIME
3 UCSB
1 Telnet
5 UCSB RJS [not ARPANET standard]
7 Echo
9 Discard
4 UTAH
1 Telnet
3 File Transfer
5 Echo
7 CPYNET
9 SYSTAT
13 DATE-TIME
5 NCC
6 MIT-Multics
1 Telnet
9 Harvard
1 Telnet
3 Sorry File Transfer
10 LL-67
1 Telnet
11 SAIL
1 Telnet
3 File Transfer
12 ILL-ANTS
13 CASE
1 Telnet
3 File Transfer
5 Echo
7 CPYNET
9 SYSTAT
13 DATE-TIME
14 CMU
1 Telnet
3 File Transfer
15 ILLIAC-TENEX
1 Telnet
3 File Transfer
5 Echo
7 CPYNET
9 SYSTAT
13 DATE-TIME
16 NASA-AMES
1 Telnet
3 File Transfer
5 Sorry Remote Job Entry
7 Echo
9 Discard
241 NCP Measurement
23 USC-44
31 CCA-TENEX
1 Telnet
3 File Transfer
5 Echo
9 SYSTAT
11 NETSTAT
35 UCSD
1 Telnet
65 UCLA-CCN
1 Telnet
7 Echo
9 Discard
11 NETPJS [EBCDIC]
13 NETRJS [ASCII]
15 NETRJS [TTY]
66 SRI-AI
1 Telnet
3 DATE-TIME
5 Echo
7 CPYNET
9 SYSTAT
11 Sorry NETSTAT
69 BBN-TENEX (a)
1 Telnet
3 File Transfer
5 Echo
7 CPYNET
9 SYSTAT
13 DATE-TIME
15 NETSTAT
17 Oneliners
3604505 = x'370019' = o'15600031' TIP News
70 MIT-DMCG
1 Telnet
3 File Transfer
7 Network Status
9 Discard
74 LL-TX-2
1 Telnet
78 CMU-alt
1 Telnet
3 File Transfer
86 ISI-TENEX
1 Telnet
3 File Transfer
5 Echo
7 CPYNET
9 SYSTAT
13 DATE-TIME
133 BBN-TENEXB
1 Telnet
3 File Transfer
5 Echo
7 CPYNET
9 SYSTAT
13 DATE-TIME
15 NETSTAT
17 Oneliners
134 MIT-AI
1 Telnet
3 File Transfer
198 MIT-Mathlab
1 Telnet
3 File Transfer
Hosts Not Tested π§ͺ
these hosts are on the list but haven't been tested yet, so no promises π₯Ή
7 RAND
8 SDC-ADEPT
19 NBS-ANTS
138 LL-TSP
[ This RFC was put into machine readable form for entry ]
[ into the online RFC archives by James Carlson 11/98 ]
that's the whole doc, bestie πβ¨ it's a socket-number lineup that's honestly iconic π
π¦ where this page comes from
- ietf: rfc433 1972-12
- π girlified by claude-haiku-5-5 on : a language model's rewrite of the original, under its terms